Skip to main content
GET
/
payment-batches
/
orders
List orders
curl --request GET \
  --url https://api.equalsmoney.com/v2/payment-batches/orders \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "string",
      "paymentBatchId": "1bce4e75-abe0-4ebf-b151-fbdb0b7d5ed9",
      "status": "created",
      "budget": {
        "id": "775596ae-2624-40af-a9dc-9756110a4a03",
        "name": "string"
      },
      "totalPayments": 0,
      "totalAmount": "string",
      "totalDebitedAmount": "string",
      "totalFees": "string",
      "totalDebitedFees": "string",
      "currencyCode": "USD",
      "orderSentAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

sort
enum<string>
default:desc

Determines whether the page of items are sorted in ascending or descending order.

Available options:
asc,
desc
offset
integer
default:0

The number of items to skip before returning results.

Example:

100

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

ids

A comma-separated set of order ids to filter by.

paymentBatchIds

A comma-separated set of payment batch ids to filter by.

statuses
enum<string>

A comma-separated set of statuses to filter by.

Available options:
created,
started,
completed,
failed
paymentBatchStatuses
enum<string>

A comma-separated set of payment batch statuses to filter by.

Available options:
draft,
validated,
confirmed,
started,
completed,
failed,
cancelled
budgetIds

A comma-separated set of budget ids to filter by.

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

Array of all matching orders.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100